/*
 * Ubiquity REST API
 *
 * Ubiquity provides a RESTful and uniform way to access blockchain resources, with a rich and reusable model across multiple cryptocurrencies.  [Documentation](https://app.blockdaemon.com/docs/ubiquity)  ### Protocols #### Mainnet The following protocols are currently supported: * bitcoin * ethereum * polkadot * xrp * algorand * stellar * dogecoin * oasis * stacks  #### Testnet * bitcoin/testnet * ethereum/ropsten * dogecoin/testnet  ##### Pagination Certain resources contain a lot of data, more than what's practical to return for a single request. With the help of pagination, the data is split across multiple responses. Each response returns a subset of the items requested and a continuation token.  To get the next batch of items, copy the returned continuation token to the continuation query parameter and repeat the request with the new URL. In case no continuation token is returned, there is no more data available. 
 *
 * The version of the OpenAPI document: 2.0.0
 * Contact: support@blockdaemon.com
 * Generated by: https://openapi-generator.tech
 */

/// MultiTransfer : Transfer of currency in the UTXO model



#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct MultiTransfer {
    #[serde(rename = "inputs")]
    pub inputs: Vec<crate::models::Utxo>,
    #[serde(rename = "outputs")]
    pub outputs: Vec<crate::models::Utxo>,
    #[serde(rename = "currency")]
    pub currency: Box<crate::models::Currency>,
    /// Integer string in smallest unit (Satoshis)
    #[serde(rename = "total_in")]
    pub total_in: String,
    /// Integer string in smallest unit (Satoshis)
    #[serde(rename = "total_out")]
    pub total_out: String,
    /// Integer string in smallest unit (Satoshis)
    #[serde(rename = "unspent")]
    pub unspent: String,
}

impl MultiTransfer {
    /// Transfer of currency in the UTXO model
    pub fn new(inputs: Vec<crate::models::Utxo>, outputs: Vec<crate::models::Utxo>, currency: crate::models::Currency, total_in: String, total_out: String, unspent: String) -> MultiTransfer {
        MultiTransfer {
            inputs,
            outputs,
            currency: Box::new(currency),
            total_in,
            total_out,
            unspent,
        }
    }
}


